This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 641590 - Wrong "Requires:" in cairo-gobject-devel
Wrong "Requires:" in cairo-gobject-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-09 08:55 EDT by Giandomenico De Tullio
Modified: 2010-11-04 19:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: cairo-1.10.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 19:45:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giandomenico De Tullio 2010-10-09 08:55:50 EDT
Description of problem:


In gobject-devel subsection wrongly make dependence on OLD, Legacy, etc.. library :).

If I remove glib (glib1) package it chains to cairo-gobject-devel too :(


Version-Release number of selected component (if applicable):
 1.10.0-1.fc14


Actual results:

$ rpm -q cairo-gobject-devel --requires
/usr/bin/pkg-config  
cairo-devel = 1.10.0-1.fc14
glib-devel                <-------- !!!!!!!!!!!!
libcairo-gobject.so.2  
pkgconfig  
pkgconfig(cairo)  
pkgconfig(glib-2.0)  
pkgconfig(gobject-2.0)  


Expected results:

$ rpm -q cairo-gobject-devel --requires
[.....]
glib-devel2
[.....]
Comment 1 Matthew Barnes 2010-10-23 10:18:13 EDT
I just discovered this too:

%package gobject-devel
Summary: Development files for cairo-gobject
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: glib-devel  <-- typo: glib2-devel
Requires: pkgconfig
Comment 2 Matthew Barnes 2010-10-23 10:25:40 EDT
I went ahead and fixed it for F-14, hope Benjamin doesn't mind.  Already fixed for F-15.
Comment 3 Fedora Update System 2010-10-23 10:34:57 EDT
cairo-1.10.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cairo-1.10.0-2.fc14
Comment 4 Fedora Update System 2010-10-28 02:21:13 EDT
cairo-1.10.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cairo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cairo-1.10.0-2.fc14
Comment 5 Fedora Update System 2010-11-04 19:45:32 EDT
cairo-1.10.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.